Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Crypto Key Version

GET
/vault/v1/workspaces/{workspace}/engines/qibdo/cryptoKeys/{cryptokey}/versions/{id}
curl --request GET \
--url https://example.com/vault/v1/workspaces/example/engines/qibdo/cryptoKeys/example/versions/example

Returns a version’s metadata.

workspace
required
string

The workspace the crypto key belongs to.

cryptokey
required
string

The parent crypto key.

id
required
string

The version id (UUID) to retrieve.

OK

Media type application/json

QibdoCryptoKeyVersion — an immutable version of a QibdoCryptoKey’s material. Key material is never persisted in the relational database; only metadata round-trips.

object
id

The unique identifier of this version (UUID)

stringOutput only
cryptokey_id

The parent crypto key that owns this version (UUID)

stringOutput only
workspace_id

The workspace that owns this version (UUID, denormalised from the parent crypto key).

stringOutput only
version_number

Monotonically-increasing version number (1, 2, 3, …)

stringOutput only
state

Current lifecycle state of this version.

string format: enum Output only
Allowed values: QIBDO_CRYPTO_KEY_VERSION_STATE_UNSPECIFIED QIBDO_CRYPTO_KEY_VERSION_STATE_ENABLED QIBDO_CRYPTO_KEY_VERSION_STATE_DISABLED QIBDO_CRYPTO_KEY_VERSION_STATE_DESTROY_SCHEDULED QIBDO_CRYPTO_KEY_VERSION_STATE_DESTROYED
destroy_scheduled_for

For DESTROY_SCHEDULED versions, the timestamp when the engine will permanently destroy material.

string format: date-time Output only
created

Timestamp when this version was created (server-managed).

string format: date-time Output only
updated

Timestamp when this version’s state last changed (server-managed).

string format: date-time Output only
Example
{
"state": "QIBDO_CRYPTO_KEY_VERSION_STATE_UNSPECIFIED"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}